Package org.italiangrid.voms.util

# Enum FilePermissionHelper.PosixFilePermission

java.lang.Object
java.lang.Enum<FilePermissionHelper.PosixFilePermission>
org.italiangrid.voms.util.FilePermissionHelper.PosixFilePermission

All Implemented Interfaces:
  `Serializable`, `Comparable<FilePermissionHelper.PosixFilePermission>`, `java.lang.constant.Constable`

Enclosing class:
  `FilePermissionHelper`

public static enum FilePermissionHelper.PosixFilePermission extends Enum<FilePermissionHelper.PosixFilePermission>
Enumeration representing POSIX file permissions.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALL_PERMS`
Full permissions for all users (chmod 777, stat -rwxrwxrwx).
`USER_ALL`
Full permissions for the user (chmod 700, stat -rwx------).
`USER_RO`
Read-only permission for the user (chmod 400, stat -r--------).
`USER_RW`
Read and write permission for the user (chmod 600, stat -rw-------).

## Method Summary

Modifier and Type
Method
Description
`String`
`chmodForm()`
Gets the chmod-style (numeric) representation of the permission.
`String`
`statForm()`
Gets the stat-style (symbolic) representation of the permission.
`static FilePermissionHelper.PosixFilePermission`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static FilePermissionHelper.PosixFilePermission[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### USER_RO

public static final FilePermissionHelper.PosixFilePermission USER_RO
Read-only permission for the user (chmod 400, stat -r--------).

### USER_RW

public static final FilePermissionHelper.PosixFilePermission USER_RW
Read and write permission for the user (chmod 600, stat -rw-------).

### USER_ALL

public static final FilePermissionHelper.PosixFilePermission USER_ALL
Full permissions for the user (chmod 700, stat -rwx------).

### ALL_PERMS

public static final FilePermissionHelper.PosixFilePermission ALL_PERMS
Full permissions for all users (chmod 777, stat -rwxrwxrwx).

## Method Details

### values

public static FilePermissionHelper.PosixFilePermission[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static FilePermissionHelper.PosixFilePermission valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### statForm

public String statForm()
Gets the stat-style (symbolic) representation of the permission.

Returns:
  the stat-formatted permission string (e.g., "-rw-------").

### chmodForm

public String chmodForm()
Gets the chmod-style (numeric) representation of the permission.

Returns:
  the chmod-formatted permission string (e.g., "600").